### Signal

# Gtk TreeModel::row-changed

#### Declaration

    void
    row_changed (
      GtkTreeModel* self,
      GtkTreePath* path,
      GtkTreeIter* iter,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a row in the model has changed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`path`

  Type: `GtkTreePath`

  A `GtkTreePath` identifying the changed row.

  The data is owned by the caller of the function.

`iter`

  Type: `GtkTreeIter`

  A valid `GtkTreeIter` pointing to the changed row.

  The data is owned by the caller of the function.